又遇灵异事件 —— python-bitshares 升级啦

in python-bitshares •  4 months ago

在以往python-bitshares文章中,我都是一遍读github上的代码,一边进行学习和测试。但是这两天用到Asset类,却遇到一个麻烦。


封面图源:https://pixabay.com

灵异事件

python-bitshares在github上的代码中有如下代码:

光看代码很好理解,一个是读取资产的符号,一个是读取资产的精度

但是我测试这两个属性时,却遇到错误。

>>>from bitshares.asset import Asset
>>>asset = Asset("CNY")
>>>print(asset.precision)

或者

>>>from bitshares.asset import Asset
>>>asset = Asset("CNY")
>>> print(asset.symbol)

这让我如何也理解不了,明明代码中存在两个属性,为啥执行就报不存在呢?这不科学呀,在各大引擎找了半天,有说让删除缓存文件的,有说是命名和已有模块冲突的,但是怎么对照也感觉不像,明明就是灵异事件

想到前些天在《Python PrettyTable 模块学习 (格式化打印内容)》这个帖子中也曾遇到过灵异事件,最后检查的结果是我编辑文件A,运行文件B。我因此得出结论:遇到灵异事件时不要轻易放弃😳

那么这次灵异事件也是我哪里搞错了吗?

python-bitshares 升级啦

我挠头发、拍脑瓜,怎么也没觉得我弄错什么。揉了揉太阳穴、深呼一口气,还是先看看我今天早晨发的steemd节点升级里别人给我的回复吧。等等,我灵光一闪,升级?会不会是python-bitshares升级了呢?

于是看了一下github库里的信息

OMG,果然,python-bitshares 6天以前发行了新版本: 0.1.9

按github上的升级指令升级一下,结果提示我:

You must give at least one requirement to install (see "pip help install")

这又是什么鬼?看提示是说我至少要告诉它我要安啥!我难道没告诉它吗?仔细一下,果然没告诉。再一对照,官网给的更新指令就没给目标:看来,适度动脑还是很有必要的,将指令改为:pip3 install --upgrade bitshares,更新成功。

测试

再来测试一下

一切正常。

总结

  • python-bitshares 已经升级至 0.1.9
  • 升级指令: pip3 install --upgrade bitshares (我使用的virtualenv无需加--user)
  • 灵异事件被证实还是我的问题 (没及时更新版本)

另外,需要注意的是,如果你有应用使用python-bitshares以前版本,那么升级前请务必检查程序的兼容性,如果不确定是否兼容,并且原来的程序都还好用,那么不必急着升级。这个和api节点那个不一样,那么你不升级就没法用啦。

一天遇到两起升级事件,我也是醉啦😳😰

Authors get paid when people like you upvote their post.
If you enjoyed what you read here, create your account today and start earning FREE STEEM!
Sort Order:  Trending

Thank you for your important post

萌新刚来学习,正在翻大神前面的帖子,先点赞,后看~~

·

Hi ~ I'm a beyondkiller.I just upvoted your post! Please also help upvote my post here https://steemit.com/@beyonndkiller

很深奥,看不明白

a very good post

你的话题是重要的,必须考虑

灵异事件就是程序员掉头发最好的催化剂

great post.

机智啊!!!